package com.yd.oss.service.service;

import com.yd.oss.service.model.OssProvider;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 云存储服务商配置表 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-08-22
 */
public interface IOssProviderService extends IService<OssProvider> {

    OssProvider getDefaultProvider();

    OssProvider getProviderByName(String name);

    OssProvider getProviderById(Long id);

    List<OssProvider> getActiveProviders();

    boolean saveProvider(OssProvider provider);

    boolean deleteProvider(Long id);
}
